Page MenuHomePhabricator

MediaWiki as OAuth client: Make MediaWiki use OAuth as a login alternative to local user accounts
Closed, DuplicatePublic

Description

Can I set up a MediaWiki (on Labs, if that helps) using the Wikimedia OAuth system instead of a local login? So,

  • No local user creation
  • Login only through a Wikimedia site and OAuth
  • Maybe declare one account as admin locally (through database hackery) to seed an admin group

Event Timeline

Magnus created this task.Jul 2 2018, 8:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2018, 8:10 AM

This sounds like a support request for IRC or mailing list and not like a feature request or bug report?

https://www.mediawiki.org/wiki/Extension:OAuth is available as a server on Wikimedia wikis.
Extensions like https://www.mediawiki.org/wiki/Extension:OAuth2_Client and https://www.mediawiki.org/wiki/Extension:OAuthAuthentication exist.
See also T125337: Add OAuth 2.0 support to MediaWiki to support Discourse.

Tgr added a subscriber: Tgr.Jul 2 2018, 2:39 PM

Yeah, this is exactly what OAuthAutentication is meant for. Unfortunately I never finished updating it for AuthManager (gerrit 251930). Not sure what that means in practice; AuthManager has a bunch of B/C logic for pre-1.27 extensions, so it might just work without the patch.

Aklapper closed this task as Invalid.Jul 15 2018, 7:57 PM

Closing this task as invalid as I don't see anything actionable in this task (but rather a support question?). Please feel free to correct me if I misunderstood. Thanks!

Magnus reopened this task as Open.Jul 16 2018, 12:03 PM

Action required: Make MediaWiki use OAuth as a login alternative to local user accounts.

Aklapper renamed this task from MediaWiki as OAuth client to MediaWiki as OAuth client: Make MediaWiki use OAuth as a login alternative to local user accounts.Jul 19 2018, 8:27 PM